gnutls_handshake_get_last_in(3)

NAME
gnutls_handshake_get_last_in - API function

SYNOPSIS
#include <gnutls/gnutls.h>

gnutls_handshake_description_t gnutls_handshake_get_last_in(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

DESCRIPTION
This function is only useful to check where the last performed handshake failed. If the previous handshake succeed or was not performed at all then no meaningful value will be returned. Check gnutls_handshake_description_t in gnutls.h for the available handshake descriptions.

RETURNS
the last handshake message type received, a gnutls_handshake_description_t.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/